// MODULE - CREDITS.C
//
// Copyright (c) 2012 Mark Ball. All rights reserved.
// Started September 2012.
//
// Credits display.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#include "game.h"

#define CREDITS_SECTION_GAP_IN_PIXELS 6
#define CREDITS_TITLE_START_Y 2
#define CREDITS_CODE_SECTION_START_Y (15+SMALL_FONT_HEIGHT_IN_PIXELS)
#define CREDITS_GFX_SECTION_START_Y (CREDITS_CODE_SECTION_START_Y+(5*SMALL_FONT_HEIGHT_IN_PIXELS)+CREDITS_SECTION_GAP_IN_PIXELS)
#define CREDITS_SOUND_SECTION_START_Y (CREDITS_GFX_SECTION_START_Y+(2*SMALL_FONT_HEIGHT_IN_PIXELS)+CREDITS_SECTION_GAP_IN_PIXELS)
#define CREDITS_BETA_SECTION_START_Y (CREDITS_SOUND_SECTION_START_Y+(5*SMALL_FONT_HEIGHT_IN_PIXELS)+CREDITS_SECTION_GAP_IN_PIXELS)
#define CREDITS_GREETZ_SECTION_START_Y (CREDITS_BETA_SECTION_START_Y+(4*SMALL_FONT_HEIGHT_IN_PIXELS)+CREDITS_SECTION_GAP_IN_PIXELS)

void DrawCredits(void)
//
// Draw the credits page.
//
    {

    gameTextIsCentred=TRUE;
    SetFontSize(FONT_USED_IS_LARGE);
    DrawFont("CREDITS",160,CREDITS_TITLE_START_Y);
    SetFontSize(FONT_USED_IS_SMALL);

    //////////////////////////////
    // Only 40 chars to play with.
    //////////////////////////////
    //        0000000000111111111122222222223333333333
    //        0123456789012345678901234567890123456789
    DrawFont("CODE"                                     ,160,CREDITS_CODE_SECTION_START_Y+(0*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("COPYRIGHT (C) 1983 A&F SOFTWARE"          ,160,CREDITS_CODE_SECTION_START_Y+(1*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("BBC MICRO VERSION BY DOUG ANDERSON"       ,160,CREDITS_CODE_SECTION_START_Y+(2*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("REVERSE ENGINEERED BY PAUL BROOK"         ,160,CREDITS_CODE_SECTION_START_Y+(3*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("ATARI JAGUAR VERSION BY MARK BALL"        ,160,CREDITS_CODE_SECTION_START_Y+(4*SMALL_FONT_HEIGHT_IN_PIXELS));

    DrawFont("GRAPHICS"                                 ,160,CREDITS_GFX_SECTION_START_Y+(0*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("ATARI JAGUAR VERSION BY KEVIN DEMPSEY"    ,160,CREDITS_GFX_SECTION_START_Y+(1*SMALL_FONT_HEIGHT_IN_PIXELS));

    DrawFont("SOUND"                                    ,160,CREDITS_SOUND_SECTION_START_Y+(0*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("EFFECTS COURTESY OF MIKE ELSON"           ,160,CREDITS_SOUND_SECTION_START_Y+(1*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("MUSIC BY BUG - USED WITH PERMISSION FROM" ,160,CREDITS_SOUND_SECTION_START_Y+(2*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("HIS FORMER TEAMMATES AT RAZOR1911, RIP"   ,160,CREDITS_SOUND_SECTION_START_Y+(3*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("SOUND ENGINE PROVIDED BY U-235"           ,160,CREDITS_SOUND_SECTION_START_Y+(4*SMALL_FONT_HEIGHT_IN_PIXELS));

    DrawFont("BETA TESTERS"                             ,160,CREDITS_BETA_SECTION_START_Y+(0*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("SH3-RG, NONNER242, CYRANOJ, LINKOVITCH"   ,160,CREDITS_BETA_SECTION_START_Y+(1*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("GAZTEE, OMF, SAURON, REMOWILLIAMS"        ,160,CREDITS_BETA_SECTION_START_Y+(2*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("SHAMUS, SAMWISE"                          ,160,CREDITS_BETA_SECTION_START_Y+(3*SMALL_FONT_HEIGHT_IN_PIXELS));

    DrawFont("GREETINGS"                                ,160,CREDITS_GREETZ_SECTION_START_Y+(0*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("ALBERT, CURT VENDEL, MIKER, ESPIRE8, TMR" ,160,CREDITS_GREETZ_SECTION_START_Y+(1*SMALL_FONT_HEIGHT_IN_PIXELS));
    DrawFont("EVERYBODY AT ATARIAGE AND JAGWARE"        ,160,CREDITS_GREETZ_SECTION_START_Y+(2*SMALL_FONT_HEIGHT_IN_PIXELS));
    }
