; MODULE - FONTA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, September 2012
;
; Font data.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Includes
; ------------------------------------------------------------------
    .include "jaguar.inc"

; ------------------------------------------------------------------
; Imports.
; ------------------------------------------------------------------
    .extern _gameObjPause

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; _ObjPauseReset
; ------------------------------------------------------------------
; Clear out the PAUSE bitmap object.
; ------------------------------------------------------------------
; extern void ObjPauseReset(TBitmapObj* anObjPtr);
; ------------------------------------------------------------------
;
; In :-
;   4(sp) - Pointer to PAUSE bitmap object.
;
; Out :-
;   Nothing.
;
; Trashes :-
;   ABI compliant.
;
; ------------------------------------------------------------------
    .globl _ObjPauseReset

    .cargs #4, aPauseObjPtr.l

_ObjPauseReset:
    move.l aPauseObjPtr(sp), a0
    move.l #0, (a0)+
    move.l #STOPOBJ, (a0)+
    rts

; ------------------------------------------------------------------
; Large font bitmap.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KlargeFontBitmap
_KlargeFontBitmap:
    .incbin "..\\data\\gfx\\common\\LargeFont.gfx"
    .globl _KlargeFontSpaceBitmap
_KlargeFontSpaceBitmap:
    dcb.b 16*16*2, 0

; ------------------------------------------------------------------
; Small font bitmap.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KSmallFontBitmap
_KSmallFontBitmap:
    .incbin "..\\data\\gfx\\common\\SmallFont.gfx"

; ------------------------------------------------------------------
; Options mask
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KOptionsSelectMaskBitmap
_KOptionsSelectMaskBitmap:
    .incbin "..\\data\\gfx\\common\\Options.gfx"

; ------------------------------------------------------------------
; Pause
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KPauseBitmap
_KPauseBitmap:
    .incbin "..\\data\\gfx\\common\\Pause.gfx"

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end

