; HEADER - GAME.INC
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, September 2012
;
; Assembler constants.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; Sentinel.
    .if	^^defined	__GAME_INC__
        .print "game.inc already included!"
        end
    .endif
__GAME_INC__ equ	1

PHRASE_SIZE_IN_BYTES            equ 8
BRANCH_OBJECT_SIZE_IN_BYTES     equ (1*PHRASE_SIZE_IN_BYTES)   ; 1 phrase.
BITMAP_OBJECT_SIZE_IN_BYTES     equ (2*PHRASE_SIZE_IN_BYTES)   ; 2 phrases.
STOP_OBJECT_SIZE_IN_BYTES       equ (1*PHRASE_SIZE_IN_BYTES)   ; 1 phrase.

; Background bitmap.
SCREEN_WIDTH_IN_PIXELS          equ 320
SCREEN_HEIGHT_IN_PIXELS         equ 256
SCREEN_HEIGHT_VISIBLE_IN_PIXELS equ 212
SCREEN_HEIGHT_CROP_IN_PIXELS    equ (SCREEN_HEIGHT_IN_PIXELS-SCREEN_HEIGHT_VISIBLE_IN_PIXELS)
SCREEN_COLOUR_DEPTH             equ 16  ; 16 BPP
SCREEN_WIDTH_IN_BYTES           equ (SCREEN_WIDTH_IN_PIXELS*SCREEN_COLOUR_DEPTH)/8
SCREEN_WIDTH_IN_PHRASES         equ SCREEN_WIDTH_IN_BYTES/PHRASE_SIZE_IN_BYTES
SCREEN_OBJECT_COLOUR_DEPTH      equ O_DEPTH16

; Game backdrop bitmap.
GAME_BACKDROP_WIDTH_IN_PIXELS       equ 320
GAME_BACKDROP_HEIGHT_IN_PIXELS      equ 211
GAME_BACKDROP_COLOUR_DEPTH          equ 4   ; 4BPP
GAME_BACKDROP_WIDTH_IN_BYTES        equ (GAME_BACKDROP_WIDTH_IN_PIXELS*GAME_BACKDROP_COLOUR_DEPTH)/8
GAME_BACKDROP_WIDTH_IN_PHRASES      equ GAME_BACKDROP_WIDTH_IN_BYTES/PHRASE_SIZE_IN_BYTES
GAME_BACKDROP_OBJECT_COLOUR_DEPTH   equ O_DEPTH4
