; MODULE - HENSA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, August 2012
;
; Hen handling.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Includes
; ------------------------------------------------------------------
    .include "jaguar.inc"

; ------------------------------------------------------------------
; Imports.
; ------------------------------------------------------------------
    .extern _gameObjHens
    .extern _gameObjHen1
    .extern _gameObjHen2
    .extern _gameObjHen3
    .extern _gameObjHen4
    .extern _gameObjHen5
    .extern _gameObjMotherHen
    .extern _gameObjCage

; ------------------------------------------------------------------
; Equates.
; ------------------------------------------------------------------
HEN_BITMAP_SIZE_IN_BYTES        equ 8960
MOTHER_HEN_BITMAP_SIZE_IN_BYTES equ 6144
CAGE_BITMAP_SIZE_IN_BYTES       equ 9216

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; _ObjHensReset
; ------------------------------------------------------------------
; Clear out the hen/motherhen/cage bitmap objects.
; ------------------------------------------------------------------
; extern void ObjHensReset(void);
; ------------------------------------------------------------------
;
; In :-
;   Nothing.
;
; Out :-
;   Nothing.
;
; Trashes :-
;   ABI compliant.
;
; ------------------------------------------------------------------
    .globl _ObjHensReset
_ObjHensReset:
    move.l #STOPOBJ, d0

; Hen 1    
    clr.l _gameObjHen1
    move.l d0, _gameObjHen1+4

; Hen 2.
    clr.l _gameObjHen2
    move.l d0, _gameObjHen2+4

; Hen 3.
    clr.l _gameObjHen3
    move.l d0, _gameObjHen3+4

; Hen 4.
    clr.l _gameObjHen4
    move.l d0, _gameObjHen4+4

; Hen 5.
    clr.l _gameObjHen5
    move.l d0, _gameObjHen5+4

; Mpther hen.
    clr.l _gameObjMotherHen
    move.l d0, _gameObjMotherHen+4

; Cage.
    clr.l _gameObjCage
    move.l d0, _gameObjCage+4
    rts

; ------------------------------------------------------------------
; Hen bitmaps - retro look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KClassicLookHenBitmap
_KClassicLookHenBitmap:
    .incbin "..\\data\\gfx\\retro\\hens.gfx"

; ------------------------------------------------------------------
; Hen bitmaps - modern look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KModernLookHenBitmap
_KModernLookHenBitmap:
    .incbin "..\\data\\gfx\\modern\\hens.gfx"

; ------------------------------------------------------------------
; Mother hen bitmaps - retro look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KClassicLookMotherHenBitmap
_KClassicLookMotherHenBitmap:
    .incbin "..\\data\\gfx\\retro\\motherhen.gfx"

; ------------------------------------------------------------------
; Mother hen bitmaps - modern look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KModernLookMotherHenBitmap
_KModernLookMotherHenBitmap:
    .incbin "..\\data\\gfx\\modern\\motherhen.gfx"

; ------------------------------------------------------------------
; Cage bitmap - retro look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KClassicLookCageBitmap
_KClassicLookCageBitmap:
    .incbin "..\\data\\gfx\\retro\\cage.gfx"

; ------------------------------------------------------------------
; Cage bitmap - modern look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KModernLookCageBitmap
_KModernLookCageBitmap:
    .incbin "..\\data\\gfx\\modern\\cage.gfx"

; ------------------------------------------------------------------
; RAM - NSS
; ------------------------------------------------------------------
    .bss

    .phrase
    .globl _gameHenBitmap
_gameHenBitmap:
    ds.b HEN_BITMAP_SIZE_IN_BYTES

    .phrase
    .globl _gameMotherHenBitmap
_gameMotherHenBitmap:
    ds.b MOTHER_HEN_BITMAP_SIZE_IN_BYTES

    .phrase
    .globl _gameCageBitmap
_gameCageBitmap:
    ds.b CAGE_BITMAP_SIZE_IN_BYTES

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end
