; MODULE - LIFTSA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, August 2012
;
; Lift handling and data.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Includes.
; ------------------------------------------------------------------
    .include "jaguar.inc"

; ------------------------------------------------------------------
; Imports.
; ------------------------------------------------------------------
    .extern _gameObjLift1
    .extern _gameObjLift2
    .extern _gameObjPlayer
    .extern _gameObjList
    .extern _gameObjListCopy

; ------------------------------------------------------------------
; ------------------------------------------------------------------
LIFT_BITMAP_SIZE_IN_BYTES equ 2560

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; _ObjLiftsReset
; ------------------------------------------------------------------
; Insert a branch into the lift objects for now.
; ------------------------------------------------------------------
; extern void ObjLiftsReset(void);
; ------------------------------------------------------------------
;
; In :-
;   Nothing.
;
; Out :-
;   Nothing.
;
; Trashes :-
;   ABI compliant.
;
; ------------------------------------------------------------------
    .globl _ObjLiftsReset
_ObjLiftsReset:
;    move.l #_gameObjListCopy+(_gameObjPlayer-_gameObjList), d0   ; Huh! bad section expression?
    move.l #_gameObjListCopy, d0
    add.l #_gameObjPlayer, d0
    sub.l #_gameObjList, d0
    move.l d0, d1

    lsr.l #8, d0
    lsr.l #3, d0

    swap.w d1
    clr.w d1
    lsl.l #5, d1
    or.l #BRANCHOBJ|O_BROP, d1
    movem.l d0-d1, _gameObjLift1

; Stop object for the 2nd lift.
    clr.l _gameObjLift2
    move.l #STOPOBJ, _gameObjLift2+4

    rts

; ------------------------------------------------------------------
; Lift bitmap - modern look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KClassicLookLiftBitmap
_KClassicLookLiftBitmap:
    .incbin "..\\data\\gfx\\retro\\lift.gfx"

; ------------------------------------------------------------------
; Lift bitmap - retro look.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KModernLookLiftBitmap
_KModernLookLiftBitmap:
    .incbin "..\\data\\gfx\\modern\\lift.gfx"

; ------------------------------------------------------------------
; RAM - BSS
; ------------------------------------------------------------------
    .bss
    .phrase
    .globl _gameLiftBitmap
_gameLiftBitmap:
    ds.b LIFT_BITMAP_SIZE_IN_BYTES

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end

