// HEADER - OBJECTS.H
//
// Copyright (c) 2012 Mark Ball. All rights reserved.
// Started by Mark Ball, September 2012
//
// Object Processor.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#if !defined(__OBJECTS_H__)
#define __OBJECTS_H__

// Sprites.
#define SPRITE_REFERENCE_Y (220)

// Object processor.
#pragma dontwarn 51 // bitfield type non-portable
typedef struct
    {
    unsigned long long int iData:21;
    unsigned long long int iLink:19;
    unsigned long long int iHeight:10;
    unsigned long long int iYPos:11;
    unsigned long long int iType:3;
    } TBitmapObjPhrase1;

typedef struct
    {
    unsigned long long int iDummy:9;
    unsigned long long int iFirstPix:6;
    unsigned long long int iRelease:1;
    unsigned long long int iTrans:1;
    unsigned long long int iRmw:1;
    unsigned long long int iReflect:1;
    unsigned long long int iIndex:7;
    unsigned long long int iImageWidth:10;
    unsigned long long int iDataWidth:10;
    unsigned long long int iPitch:3;
    unsigned long long int iDepth:3;
    unsigned long long int iXPos:12;
    } TBitmapObjPhrase2;
#pragma popwarn // bitfield type non-portable

typedef struct
    {
    TBitmapObjPhrase1 iPhrase1;
    TBitmapObjPhrase2 iPhrase2;
    } TBitmapObj;

// Sprite blocks.
typedef struct
    {
    const unsigned char *iData;
    unsigned char iWidthInPixels;
    unsigned char iHeightInPixels;
    } TSpriteFrameType;

extern unsigned short int gameObjListOffsetX;
extern unsigned short int gameObjListOffsetY;
extern unsigned char gameObjList[];
extern unsigned char gameObjListCopy[];

extern void MakeBitmapObj(TBitmapObj* aBmp,const TSpriteFrameType* aSprite,unsigned short int aX, unsigned short int aY);

#endif // __OBJECTS_H__
