; MODULE - PLAYERA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, August 2012
;
; Player handling and data.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Includes.
; ------------------------------------------------------------------
	.include "jaguar.inc"

; ------------------------------------------------------------------
; Imports
; ------------------------------------------------------------------
    .extern _gameObjPlayer      ; Player's object in the display list.

; ------------------------------------------------------------------
; Equates/defines etc.
; ------------------------------------------------------------------
PLAYER_BITMAP_SIZE_IN_BYTES equ 4800

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; _ObjPlayerReset
; ------------------------------------------------------------------
; Clear out the player object.
; ------------------------------------------------------------------
; extern void ObjPlayerReset(void);
; ------------------------------------------------------------------
;
; In :-
;   Nothing.
;
; Out :-
;   Nothing.
;
; Trashes :-
;   ABI compliant.
;
; ------------------------------------------------------------------
    .globl _ObjPlayerReset
_ObjPlayerReset:
    move.l #0,_gameObjPlayer
    move.l #STOPOBJ, _gameObjPlayer+4
    rts

; ------------------------------------------------------------------
; Retro look player bitmap.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KClassicLookPlayerBitmap
_KClassicLookPlayerBitmap:
    .incbin "..\\data\\gfx\\retro\\player.gfx"

; ------------------------------------------------------------------
; Modern look player bitmap.
; ------------------------------------------------------------------
    .text
    .phrase
    .globl _KModernLookPlayerBitmap
_KModernLookPlayerBitmap:
    .incbin "..\\data\\gfx\\modern\\player.gfx"

; ------------------------------------------------------------------
; RAM - BSS
; ------------------------------------------------------------------
    .bss
    .phrase
    .globl _gamePlayerBitmap
_gamePlayerBitmap:
    ds.b PLAYER_BITMAP_SIZE_IN_BYTES

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end
