; MODULE - SOUNDA.S
;
; Copyright (c) 2012 Mark Ball. All rights reserved.
; Started by Mark Ball, August 2012
;
; Sound data.
;
; This program is free software: you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation, either version 3 of the License, or
; (at your option) any later version.
;
; This program is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with this program.  If not, see <http://www.gnu.org/licenses/>.
;

; ------------------------------------------------------------------
; Equates
; ------------------------------------------------------------------
DEFAULT_FX_SAMPLE_VOLUME equ 64

; ------------------------------------------------------------------
; Code starts here.
; ------------------------------------------------------------------
    .text
    .68000

; ------------------------------------------------------------------
; Sound engine data.
; ------------------------------------------------------------------

    .dphrase
    .globl _gameSampleBank
_gameSampleBank:

; Sound engine structure for walking sound effect.
    .globl _gameSoundFxWalk
_gameSoundFxWalk:
    dc.l Sample1		; base address of sample
	dc.l Sample1End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for ladder sound effect.
    .globl _gameSoundFxLadder
_gameSoundFxLadder:
    dc.l Sample2		; base address of sample
	dc.l Sample2End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for jumping sound effect.
    .globl _gameSoundFxJump
_gameSoundFxJump:
    dc.l Sample3		; base address of sample
	dc.l Sample3End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for falling sound effect.
    .globl _gameSoundFxFall
_gameSoundFxFall:
    dc.l Sample4		; base address of sample
	dc.l Sample4End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for collecting eggs sound effect.
    .globl _gameSoundFxEgg
_gameSoundFxEgg:
    dc.l Sample5		; base address of sample
	dc.l Sample5End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for collecting grain sound effect.
    .globl _gameSoundFxGrain
_gameSoundFxGrain:
    dc.l Sample6		; base address of sample
	dc.l Sample6End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for player death sound effect.
    .globl _gameSoundFxDeathTune
_gameSoundFxDeathTune:
    dc.l Sample7		; base address of sample
	dc.l Sample7End	    ; End of sample
	dc.l 0			    ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for silence sound effect.
    .globl _gameSoundFxSilence
_gameSoundFxSilence:
    dc.l Sample8		; base address of sample
	dc.l Sample8End	    ; End of sample
	dc.l 0		        ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for end of level bonus sound effect.
    .globl _gameSoundFxBonus
_gameSoundFxBonus:
    dc.l Sample9		; base address of sample
	dc.l Sample9End	    ; End of sample
	dc.l 0		        ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000	        ; Default play frequency (only used in SFX)

; Sound engine structure for menu accept sound effect.
    .globl _gameSoundFxAccept
_gameSoundFxAccept:
    dc.l Sample10		; base address of sample
	dc.l Sample10End    ; End of sample
	dc.l 0		        ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for menu next sound effect.
    .globl _gameSoundFxNext
_gameSoundFxNext:
    dc.l Sample11		; base address of sample
	dc.l Sample11End    ; End of sample
	dc.l 0		        ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; Sound engine structure for menu cancel sound effect.
    .globl _gameSoundFxCancel
_gameSoundFxCancel:
    dc.l Sample12		; base address of sample
	dc.l Sample12End    ; End of sample
	dc.l 0		        ; RBASE
	dc.l 0			    ; REND
	dc.l DEFAULT_FX_SAMPLE_VOLUME   ; <null word> | Fine tune | Volume
	dc.l 8000		    ; Default play frequency (only used in SFX)

; ------------------------------------------------------------------
; MUSIC
; ------------------------------------------------------------------

; Title page music data.
    .long
    .globl _KTitlePageMusic
_KTitlePageMusic:
    .incbin "..\\data\\sound\\music\\chickensong-bug.mod"

; ------------------------------------------------------------------
; SOUND EFFECTS.
; ------------------------------------------------------------------

; Walking left/right sound effect data.
    .long
Sample1:
    .incbin "..\\data\\sound\\fx\\leftright.8000.raw"
Sample1End:

; Up/down ladder sound effect data.
    .long
Sample2:
    .incbin "..\\data\\sound\\fx\\updown.8000.raw"
Sample2End:

; Jumping sound effect data.
    .long
Sample3:
    .incbin "..\\data\\sound\\fx\\jump.8000.raw"
Sample3End:

; Falling sound effect data.
    .long
Sample4:
    .incbin "..\\data\\sound\\fx\\fall.8000.raw"
Sample4End:

; Collect egg sound effect data.
    .long
Sample5:
    .incbin "..\\data\\sound\\fx\\egg.8000.raw"
Sample5End:

; Collect egg sound effect data.
    .long
Sample6:
    .incbin "..\\data\\sound\\fx\\grain.8000.raw"
Sample6End:

; Death tune.
    .long
Sample7:
    .incbin "..\\data\\sound\\fx\\tune.8000.raw"
Sample7End:

; Silence!
    .long
Sample8:
    dcb.b 64, 0   ls In this enough?
Sample8End:

; Bonus awarded sound effect.
    .long
Sample9:
    .incbin "..\\data\\sound\\fx\\applause.8000.raw"
Sample9End:

; Menu accept sound effect.
    .long
Sample10:
    .incbin "..\\data\\sound\\fx\\ok.8000.raw"
Sample10End:

; Menu next sound effect.
    .long
Sample11:
    .incbin "..\\data\\sound\\fx\\next.8000.raw"
Sample11End:

; Menu canel sound effect.
    .long
Sample12:
    .incbin "..\\data\\sound\\fx\\cancel.8000.raw"
Sample12End:

; ------------------------------------------------------------------
; END
; ------------------------------------------------------------------
    .end

